Name:          libxkbcommon
Version:       1.9.2
Release:       1mamba
Summary:       Keyboard handling library using XKB data
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://xkbcommon.org/
Source:        https://github.com/lfs-book/libxkbcommon.git/v%{version}/libxkbcommon-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libwayland-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: xkeyboard-config-devel
BuildRequires: util-macros

%description
xkbcommon is a library to handle keyboard descriptions, including loading them from disk, parsing them and handling their state.
It's mainly meant for client toolkits, window systems, and other system applications; currently that includes Wayland, kmscon, GTK+, Qt, Clutter, and more.
Despite the name, it isn't actually used by anything X11 (yet).

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Tools
Summary:       Tools provided with %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains tools provided by %{name}.

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libxkbcommon.so.*
%{_libdir}/libxkbcommon-x11.so.*
%{_libdir}/libxkbregistry.so.*
%dir %{_libexecdir}/xkbcommon
%{_libexecdir}/xkbcommon/xkbcli-*
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/xkbcommon
%{_includedir}/xkbcommon/*.h
%{_libdir}/libxkbcommon.so
%{_libdir}/libxkbcommon-x11.so
%{_libdir}/libxkbregistry.so
%{_libdir}/pkgconfig/xkbcommon.pc
%{_libdir}/pkgconfig/xkbcommon-x11.pc
%{_libdir}/pkgconfig/xkbregistry.pc

%files tools
%defattr(-,root,root)
%{_bindir}/xkbcli
%{_datadir}/bash-completion/completions/xkbcli
%{_mandir}/man1/xkbcli-compile-compose.1*
%{_mandir}/man1/xkbcli-compile-keymap.1*
%{_mandir}/man1/xkbcli-dump-keymap-wayland.1*
%{_mandir}/man1/xkbcli-dump-keymap-x11.1*
%{_mandir}/man1/xkbcli-how-to-type.1*
%{_mandir}/man1/xkbcli-interactive-evdev.1*
%{_mandir}/man1/xkbcli-interactive-wayland.1*
%{_mandir}/man1/xkbcli-interactive-x11.1*
%{_mandir}/man1/xkbcli-list.1*
%{_mandir}/man1/xkbcli.1*

%changelog
* Wed May 07 2025 Automatic Build System <autodist@openmamba.org> 1.9.2-1mamba
- automatic version update by autodist

* Sat May 03 2025 Automatic Build System <autodist@openmamba.org> 1.9.1-1mamba
- automatic version update by autodist

* Sun Apr 27 2025 Automatic Build System <autodist@openmamba.org> 1.9.0-1mamba
- automatic version update by autodist

* Fri Mar 14 2025 Automatic Build System <autodist@openmamba.org> 1.8.1-1mamba
- automatic version update by autodist

* Mon Mar 03 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-1mamba
- update to 1.8.0

* Tue Mar 26 2024 Automatic Build System <autodist@openmamba.org> 1.7.0-1mamba
- automatic version update by autodist

* Sun Oct 15 2023 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Tue Jan 03 2023 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Sun May 22 2022 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Sat Feb 05 2022 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Sat Sep 11 2021 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Sun May 02 2021 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Thu Apr 08 2021 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Sun Apr 04 2021 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Thu Mar 11 2021 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Tue Nov 24 2020 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Sun Nov 22 2020 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Sat Sep 12 2020 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Wed Sep 09 2020 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Sun Jan 19 2020 Automatic Build System <autodist@mambasoft.it> 0.10.0-1mamba
- automatic version update by autodist

* Sat Nov 02 2019 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Sat Feb 23 2019 Automatic Build System <autodist@mambasoft.it> 0.8.4-1mamba
- automatic version update by autodist

* Fri Feb 08 2019 Automatic Build System <autodist@mambasoft.it> 0.8.3-1mamba
- automatic version update by autodist

* Mon Aug 06 2018 Automatic Build System <autodist@mambasoft.it> 0.8.2-1mamba
- automatic version update by autodist

* Sun Dec 17 2017 Automatic Build System <autodist@mambasoft.it> 0.8.0-1mamba
- automatic update by autodist

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 0.7.2-1mamba
- automatic version update by autodist

* Thu Jan 19 2017 Automatic Build System <autodist@mambasoft.it> 0.7.1-1mamba
- automatic version update by autodist

* Sun Nov 13 2016 Automatic Build System <autodist@mambasoft.it> 0.7.0-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 0.6.1-1mamba
- automatic version update by autodist

* Sat Nov 01 2014 Automatic Build System <autodist@mambasoft.it> 0.5.0-1mamba
- automatic version update by autodist

* Thu Oct 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.3-1mamba
- update to 0.4.3

* Tue May 28 2013 Davide Madrisan <davide.madrisan@gmail.com> 0.3.0-1mamba
- package created by autospec
